
# $Id: unittests.py 11266 2010-10-17 16:06:34Z pstorz $

import logging
logging.basicConfig(level=logging.ERROR,
                    format='%(asctime)s %(levelname)s \t (%(module)s:%(lineno)d) %(message)s ',
                    #filename='vanHelsing.log',
                    filemode='w')



import nosferatu.bacresources as bacresources
import unittest
import os

class TestSequenceFunctions(unittest.TestCase):

    def setUp(self):
      '''
      setup our test configuration
      '''      
      self.dc = bacresources.DataCenter('regression/integritycheck.dmdz')
      #print os.getcwdu()
      #configstring = open('regression/bacula-dir.conf').read()
      #self.DirConf = bacresources.DirectorConfig(configstring)
      self.DirConf = self.dc.directors.pop()
      #print 'cwd: ' + os.getcwd()

    #def testcheckFileDaemons(self):
    #  print self.dc.checkFileDaemonsIntegrity()
      
    def testcheckConsoles(self):
      print self.dc.checkConsolesIntegrity()


if __name__ == '__main__':
    unittest.main()

